{------------------------------------------------------------------------------}
{ TMDISaveIt v1.10 (c) 1998-99 Y-Tech Corporation          February 12th, 1999 }
{------------------------------------------------------------------------------}
{ TMDISaveIt Makes MDI Application Development practically effortless! Handles }
{ All Open, Save & New Dialogs, Disabling of Buttons & Menu Items, Dropped     }
{ Files, Save on Closing Dialogs, Read-Only Files, Multiple File Types and     }
{ much, much, more! Extreme flexibility.                                       }
{                                                                              }
{ Please visit our Web Site: http://www.igather.com/components to try out the  }
{ many other freeware and shareware components and classes available there.    }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ Installation                                                                 }
{------------------------------------------------------------------------------}
{ Please register MDISaveItReg.pas                                             }
{                                                                              }
{ Important! Since many Y-Tech Components (ie. those made by Y-Tech Corp.)     }
{ share the same units, you must put all code files (.dcu, .pas, .dfm,         }
{ .dcr, etc...) for all Y-Tech Components into the same directory. Otherwise   }
{ Delphi will not compile the library/package properly.                        }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ Templates                                                                    }
{------------------------------------------------------------------------------}
{ Please look at the demos first, but after you've done that you should install}
{ the MDI Project Template in the Object Repository so that you can quickly    }
{ get started on your MDI project right away. The Template is just like the    }
{ default Delphi MDI Project except that it includes the TMDISaveIt components.}
{                                                                              }
{ Instructions for installing the Template can be found in the Templates Folder}
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ Important! Things to be aware of...                                          }
{------------------------------------------------------------------------------}
{ Various Y-Tech SaveIt components hook into many events, if you set any of    }
{ these at run-time please "hook" into them and don't just assign to them (ie. }
{ please remember to call the original event at then end of your event         }
{ procedure).                                                                  }
{                                                                              }
{ Here's a list of the events that currently get hooked, more events may be    }
{ hooked in future versions:                                                   }
{                                                                              }
{ - TApplication.OnMessage                                                     }
{ - TScreen.OnActiveFormChange  (TMDISaveIt Only)                              }
{ - TForm.OnActivate                                                           }
{ - TForm.OnCloseQuery                                                         }
{ - TForm.OnClose                                                              }
{ - TForm.OnDestroy                                                            }
{ - TForm.WindowProc            (Delphi 3 and Up only)                         }
{ - TListView.OnInsert          (TSaveListView Only)                           }
{ - TListView.OnDeletion        (TSaveListView Only)                           }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ The TSaveIt Family of Components & Classes                                   }
{------------------------------------------------------------------------------}
{ TComponent                                          | Files Required by....  }
{ |                                                   |------------------------}
{ |- TCustomSaveIt           (CustSaveIt.pas)         |                        }
{ |  |- TAlmostSaveIt        (AlmostSave.pas)         | Class Files            }
{ |  |  |- TMultiSaveItType  (MultiSaveIt.pas)     RC | ---------------------  }
{ |  |  |- TMDIChildSaveIt   (MDISaveIt.pas)       RC | CustSaveItObj [All]    }
{ |  |                                                | SaveLView     [L]      }
{ |  |- TSaveListView        (SaveLV.pas)          RC | SuperStrList  [L]      }
{ |                                                   |                        }
{ |- TGenericSaveIt          (GenericSave.pas)        | Abstract Components    }
{ |  |- TMultiSaveIt         (MultiSaveIt.pas)     RC | ---------------------  }
{ |  |- TMDISaveIt           (MDISaveIt.pas)       RC | CustSaveIt    [All]    }
{ |                                                   | AlmostSave    [M,D]    }
{ |- TGenericSaveItType      (GenericSave.pas)        | GenericSave   [M,D]    }
{    |- TMDISaveItType       (MDISaveIt.pas)       RC |                        }
{    |                                                | Registered Components  }
{    |- TGenericSaveItGroup  (GenericSave.pas)        | ---------------------  }
{       |- TMDISaveItGroup   (MDISaveIt.pas)       RC | SaveLViewReg   [L]     }
{       |- TMultiSaveItGroup (MultiSaveIt.pas)     RC | MultiSaveItReg [M]     }
{                                                     | MDISaveItReg   [D]     }
{ TObject                                             |                        }
{ |                                                   | Form Files (pas, dfm)  }
{ |- TCustomSaveItObject     (CustSaveItObj.pas)      | ---------------------  }
{    |- TSaveCompObject      (AlmostSave.pas)         | NewDlg        [M,D]    }
{    |- TSaveLView           (SaveLView.pas)          | Progress      [All]    }
{                                                     |                        }
{                                                     | Include Files (inc)    }
{                                                     | -------------------    }
{                                                     | CompConditionals [All] }
{                                                     | CompConstants    [All] }
{------------------------------------------------------------------------------}
{ Legend:                                                                      }
{   RC  = Registerable Component (ie. a finished product)                      }
{   L   = TSaveListView                                                        }
{   M   = TMultiSaveIt                                                         }
{   D   = TMDISaveIt                                                           }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ Questions & Comments                                                         }
{------------------------------------------------------------------------------}
{ All questions and comments should be sent to ycomp@hotpop.com                }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ Usage                                                                        }
{------------------------------------------------------------------------------}
{ - Always read "readme.txt"                                                   }
{ - Please look at "info.htm"                                                  }
{ - Please refer to the help file.                                             }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ License Agreement & Disclaimer                                               }
{------------------------------------------------------------------------------}
{ By use of this component, you have agreed to the following:                  }
{                                                                              }
{ You may not distribute any files for this component except the unregistered  }
{ version's .Zip File. You may definately not distribute the source, it is for }
{ your eyes only. Anyone else wishing to see the source must purchase it at    }
{ http://www.igather.com/components                                            }
{                                                                              }
{ The unregistered version's .Zip file can be included on any kind of media or }
{ distributed through any kind of medium.                                      }
{                                                                              }
{ Although this component has been thoroughly tested and documented, neither   }
{ Y-Tech Corporation nor any of it's employees nor the author will be held     }
{ responsible for any damage arising from it's use or misuse.                  }
{------------------------------------------------------------------------------}
                                        
{------------------------------------------------------------------------------}
{ Known Bugs - (B) = Bug, (W) = Workaround                                     }
{------------------------------------------------------------------------------}
{ (B): The sender property doesn't always work properly in any of the Save It  }
{      components.                                                             }
{ (W): Just Ignore it until I get it fixed.                                    }
{------------------------------------------------------------------------------}

{------------------------------------------------------------------------------}
{ Revision History                                                             }
{------------------------------------------------------------------------------}
{ 1.00: + Initial (Historic :) Release!                                        }
{                                                                              }
{ 1.10: + Published TMDISaveIt.EnableApp/Disable App methods and the           }
{         TMDIChildSaveIt.MDISaveIt property avoid the problem when an         }
{         Application hangs when a dialog is shown within an OnDataLoad,       }
{         OnDataSave, etc... event. This happens because Application is        }
{         purposely disabled so that users can not do some nasty things while  }
{         the files are loading/saving. See help file under "Why does my       }
{         Application Hang when loading, saving, etc...?" for more information.}
{                                                                              }
{       + In previous versions, if you compiled with Delphi 5 or later it would}
{         be treated as Delphi 2 and you would not be taking advantage of some }
{         of the newer compiler features. This release eradicates those        }
{         problems. Which means: You shouldn't have to get new source code     }
{         if you've registered when Delphi 5 is released.                      }
{                                                                              }
{       + Added a Template Project which you can add to your Object Repository }
{         so that you can quickly create a TMDISaveIt Project.                 }
{------------------------------------------------------------------------------}

unit MDISaveItReg;

interface

uses
  // Standard Delphi Units
  Classes,

  // TMultiSaveIt Units
  MDISaveIt;

procedure Register;

implementation

// *** Component Registration ***

procedure Register;
begin
  RegisterComponents('MDI', [TMDISaveIt,
                             TMDISaveItType,
                             TMDISaveItGroup,
                             TMDIChildSaveIt]);
end;

end.
